/* Copyright (C) 2005  Jean-Franois Geyelin */

// Header File
// Created 4/2/2005; 1:00:00 AM

#include "defines.h"
#include "TileMap.h"

/*
Variables
*/
extern char *pl;//Plane Light
extern char *pd;//Plane Dark
extern char *bloc1;

extern Plane fg_plane;
extern Plane bg_plane;
extern short number_of_coin_to_init;
extern short number_of_ennemies_in_level;

extern COLLISION_ENNEMI *colis;
extern ENNEMI_STRUCT **ennemi_to_be_initialized;
extern COIN_STRUCT *coins;
extern ANIMATION_STRUCT *anim;
extern SCORE_ANIMATION_STRUCT *score_anim;
extern STALAG_STRUCT *stalag;
extern EXPLODING_ICEMEN_STRUCT *exploding_icemen;
extern DEAD_ENNEMI_ANIMATION_STRUCT *dead_anim;
extern FREEZE_GROUND_STRUCT *freeze_g;
extern char (*map)[32];
extern char (*map_collision)[38];
extern char *vecran;
extern COIN_IN_PIPE *cip;
extern ENNEMI_OUT_PIPE *eop;
extern ENNEMI_IN_PIPE *eip;


/*
Sprites
*/
extern unsigned short mario[8][60];
extern unsigned short ennemie_sprites[4][16*3*3*2];
extern unsigned short exploding_iceman[];
extern unsigned short reversed_ennemies[3][16*3*2];
extern unsigned short scores_sprites_mask[];
extern unsigned short scores_sprites[];
extern unsigned short bonus_star[];
extern unsigned char coin_sprites[];
extern unsigned char stalag_sprites[];
extern unsigned char letters[][16];
extern unsigned char press_start_1[];
extern unsigned char press_start_2[];
extern unsigned char star_sprite[];
extern unsigned char game_over_sprite_1[];
extern unsigned char game_over_sprite_2[];
extern unsigned char game_over_mask[];
extern unsigned short dead_mario[];
extern unsigned short shine[];
extern unsigned short stuned_mario[];
extern unsigned short plateforme_1[];
extern unsigned short plateforme_2[];
extern unsigned short plateforme_mask[];
extern unsigned long life_num_1[];
extern unsigned long life_num_2[];
extern unsigned long life_num_mask[];
extern unsigned char numbers_sprites[];
extern unsigned char numbers_mask[];
extern unsigned short pipe_right[];
extern unsigned short pipe_left[];
extern unsigned short fireball_small[];
extern unsigned short fireball_large[];
extern unsigned char phase_sprites_1[];
extern unsigned char phase_sprites_2[];
//extern unsigned char JfG_Logo[];
extern unsigned char mario_gg1[];
extern unsigned char mario_gg2[];
extern unsigned char mario_gg_mask[];
extern unsigned char debris_glace[];
extern unsigned char clear_1[];
extern unsigned char clear_2[];
extern unsigned char clear_mask[];
extern unsigned char save_quit_1[];
extern unsigned char save_quit_mask[];
extern unsigned char continue_1[];
extern unsigned char continue_mask[];
extern unsigned char quit_1[];
extern unsigned char quit_mask[];
extern unsigned char curso_1[];
extern unsigned char curso_mask[];
extern unsigned char info_1[];
extern unsigned char info_mask[];
extern unsigned char play_1[];
extern unsigned char play_mask[];
extern unsigned char demo_1[];
extern unsigned char demo_mask[];

extern unsigned char corner_1[];
extern unsigned char border_1[];
extern unsigned char corner_2[];
extern unsigned char border_2[];
extern unsigned char carre_1[];
extern unsigned char carre_2[];
extern unsigned char index_1[];
extern unsigned char index_2[];
extern unsigned char index_mask[];
extern unsigned char top_sprite[];
extern unsigned char level_sprite[];
extern unsigned char score_sprite[];
extern unsigned char control_sprite[];
extern unsigned char control_mask[];



/*
Other Data
*/
extern char map_collision_static[][38];
extern char real_map[][32];
extern unsigned char sprite[][16];
extern short pow_sprites_numbers[][4];
extern short pow_sprites_collision[][4];
extern char* anim_index[2][5][3][2];
extern unsigned char title_1[];
extern unsigned char title_2[];
extern unsigned char replay[];